ru.bitel.bgbilling.kernel.bgsecure.common.bean

## Enum RightType

- java.lang.Object
- - java.lang.Enum<RightType>
  - - ru.bitel.bgbilling.kernel.bgsecure.common.bean.RightType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RightType>

      public enum RightType
      extends java.lang.Enum<RightType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `SYSTEM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getCode()`
    `static RightType` | `getRightTypeByCode(byte code)`
    `static RightType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RightType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYSTEM

          public static final RightType SYSTEM

    - #### CUSTOM

          public static final RightType CUSTOM

  - ### Method Detail

    - #### values

          public static RightType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RightType c : RightType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RightType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

    - #### getRightTypeByCode

          public static RightType getRightTypeByCode(byte code)